/* msst_file_maildir.h -- for msgstore specific file type "maildir"

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Definitions for msgstore specific file type "maildir"

*/


#ifndef	H_MSST_FILE_MAILDIR	/* For multiple inclusions */
#define	H_MSST_FILE_MAILDIR


    /* type-specific data template for this type. */
typedef struct {
    UBYTE	md_basename[ PATH_MAX +1 ];  /* Base name of new file */
    UBYTE	md_tmpname[ PATH_MAX +1 ];   /* Name in tmp/ subdir */
    UBYTE	md_newname[ PATH_MAX +1 ];   /* Name in new/ subdir */
}  MSST_MAILDIR_DATA;


/* Declarations for functions contained in this module: */

    /* Initialize the specific type */
BOOL	msst_file_maildir_init PROTO( (void) );

#endif	/* H_MSST_FILE_MAILDIR */
