#!/bin/sh
#  mvmda test: C/Rs Make Big Header

if [ ! -s ./env ] ; then
    echo "'env' file not present.  Either run this test from the test"
    echo "area, or make a link to the env file in the test area."
fi

. ./env

# Do storage-type arg decoding
. ./i_starg

# Do standard test/delivery
. ./i_stdtest

echo "Compare the new message in $mailstore"
echo "to the original message in ${TEST}.msg"
echo "The original message had naked CR characters starting in mid-header,"
echo " making the message look like one long line after that point."
echo "The new message should have a valid-looking header and a valid"
echo " break after the header."
