divert(-1)
# 
# Mark Mallett, 20061218, copied & adapted this file from
#   local_procmail.m4 which has the following copyright and
#   version information:
#
# Copyright (c) 1998, 1999, 2002 Sendmail, Inc. and its suppliers.
#	All rights reserved.
# Copyright (c) 1994 Eric P. Allman.  All rights reserved.
# Copyright (c) 1988, 1993
#	The Regents of the University of California.  All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# VERSIONID(`$Id: local_procmail.m4,v 8.22 2002/11/17 04:24:19 ca Exp $')

ifdef(`_MAILER_local_',
	`errprint(`*** FEATURE(local_mvmda) must occur before MAILER(local)
')')dnl

define(`LOCAL_MAILER_PATH',
	ifelse(defn(`_ARG_'), `',
		ifdef(`MVMDA_MAILER_PATH',
			MVMDA_MAILER_PATH,
			`/usr/local/bin/mvmda'),
		_ARG_))
define(`LOCAL_MAILER_ARGS',
	ifelse(len(X`'_ARG2_), `1', `mvmda -d $u', _ARG2_))
dnl
dnl mem 20061218 Note that these flags are concatenated with the
dnl  standard flags established by the 'local' mailer def.  To supply
dnl  all flags, one would have to define DEF_LOCAL_MAILER_FLAGS
dnl  to be empty.  The flag set we want is 'ADFhlMnoPqSsw5:|/@' --
dnl  those standard local flags are lsDFMAw5:/|@q
dnl
dnl  The 'S' flag may or may not be appropriate for you but has worked
dnl  for me.  Other flags may need tweaking if you are sendmail expert,
dnl  but if so, you already know that.
dnl
define(`LOCAL_MAILER_FLAGS',
	ifelse(len(X`'_ARG3_), `1', `hnoPS', _ARG3_))

dnl local_mvmda conflicts with local_lmtp but the latter might be
dnl defined in an OS/ file (solaris8). Let's just undefine it.
undefine(`_LOCAL_LMTP_')
undefine(`LOCAL_MAILER_DSN_DIAGNOSTIC_CODE')
