/* mfl-sieve-vacation.h -- parsing/execution for sieve vacation constructs

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Parsing / execution / evaluation for sieve vacation constructions

*/


#ifndef	H_MFL_SIEVE_VACATION		/* For multiple inclusions */
#define	H_MFL_SIEVE_VACATION

#ifdef	SIEVE			/* Only if Sieve is wanted */
#ifdef	VACATION		/* Only if vacation stuff is wanted */


/* Declarations for functions contained in this module: */

    /* Execute sieve builtin statement: "vacation" */
STSCODE	exec_svbis_vacation PROTO( (PTNODE *nodeP, VALUE *rvalP) );

    /* Parse sieve builtin statement: "vacation" */
STSCODE	parse_svbis_vacation PROTO( (MML_IN *inP, PTNODE *nodeP) );


#endif	/* VACATION */
#endif	/* SIEVE */

#endif	/* H_MFL_SIEVE_VACATION */
