/* qmail-smtpd-compat.h -- definitions for mvmtr's "qmail-smtpd-compat" module

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Support functions for qmail-smtpd compatibility.

*/


/* Make sure this is only loaded if enabled */
#ifdef	MVMTR_QMAIL_COMPATIBILITY

#ifndef	H_QMAIL_SMTPD_COMPAT		/* For multiple inclusions */
#define	H_QMAIL_SMTPD_COMPAT



/* Declarations for functions contained in this module: */

    /* Check "mail from", return MDV_XXX decision value */
int	qmc_smtpd_check_mail_from PROTO( (XMTPMBX *mbxP, int acceptance) );

    /* Check "rcpt to", return MDV_XXX decision value */
int	qmc_smtpd_check_rcpt_to PROTO( (XMTPMBX *mbxP, int acceptance) );

    /* Initialize (read files, etc) */
STSCODE	qmc_smtpd_init PROTO( (void) );

#endif	/* H_QMAIL_SMTPD_COMPAT */


/* End of qmail-smtpd compatibility scope */
#endif	/* MVMTR_QMAIL_COMPATIBILITY */
