/* mvmcas-misc.h -- definitions for the mvmcas-misc module

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

General functions

*/


#ifndef	H_MVMCAS_MISC		/* For multiple inclusions */
#define	H_MVMCAS_MISC



/* Declarations for functions contained in this module: */

    /* Clear/initialize an MCLIENT struct */
void	mclient_init PROTO( (MCLIENT *mcP) );

    /* Set a mail client's rcptgov value, applying any side-effects */
STSCODE	mclient_rcptgov_set PROTO( (MCLIENT *mcP, int rcptgov,
				    BOOL actF) );

    /* Compare two ip4 mcnames */
int	mcname_ip4_cmp PROTO( (MCNAME_IP4 *n1P, MCNAME_IP4 *n2P) );

    /* Produce a string representing an mcname */
int	mcname_str PROTO( (MCNAME *mcnameP, UBYTE *bufP, int bufL) );

#endif	/* H_MVMCAS_MISC */
