/* serve-udp.h -- definitions for the mvmcas "serve-udp" module

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Direct servicing of requests via UDP datagrams

*/


#ifndef	H_SERVE_UDP		/* For multiple inclusions */
#define	H_SERVE_UDP



/* Declarations for functions contained in this module: */

    /* Start up a UDP service for a particular host/port */
BOOL	serve_udp PROTO( (char *hostP, int portN) );

    /* Initialize the udp service module */
BOOL	serve_udp_init PROTO( (void) );

#endif	/* H_SERVE_UDP */
