/* timer.h -- definitions for the mvmcas timer module

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Some functions for using timers and timed events

*/


#ifndef	H_TIMER		/* For multiple inclusions */
#define	H_TIMER



/* Declarations for functions contained in this module: */

    /* Add a timer event */
BOOL	timer_add PROTO( (time_t when, void (*what)(), void *argP ) );

    /* Init the timers module */
BOOL	timer_init PROTO( (void) );

#endif	/* H_TIMER */
