#!/bin/sh
#  mvmda test: editheader stuff

if [ ! -s ./env ] ; then
    echo "'env' file not present.  Either run this test from the test"
    echo "area, or make a link to the env file in the test area."
fi

. ./env

# Do storage-type arg decoding
. ./i_starg

# Do standard test/delivery
. ./i_stdtest

cat << !END_OF_EMSG!

Compare the new message in $mailstore
to the original message in ${TEST}.msg
The new message should have the following changes:

  The original "To:" line should be changed to "Originally-To"
  There should be a new "To: <test@example.com>" line
  The original "Delivered-To" line should be gone.

!END_OF_EMSG!
