#!/bin/sh
#  rfcget.sh -- fetch an RFC by number
#  mem 20041101

FETCHER=`which wget | grep '^/'`
if [ "$FETCHER" = "" ] ; then
    FETCHER=`which fetch | grep '^/'`
fi
if [ "$FETCHER" = "" ] ; then
    echo "I can't find a fetch program.  Sorry." >&2
    exit 1
fi

if [ $# -ne 1 ] ; then
    echo "supply rfc number only." >&2
    exit 1
fi

rfcnum="$1"
$FETCHER ftp://ftp.rfc-editor.org/in-notes/rfc${rfcnum}.txt
